/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Represents a template that allows you to customize the content in the center of the `<kendo-circularprogessbar>` component. To define the template, nest an `<ng-template>` tag with the `kendoCircularProgressbarCenterTemplate` directive inside a `<kendo-circularprogessbar>` component.
 * ([see example]({% slug center_template_circularprogressbar %})).
 *
 * @example
 * ```html
 * <kendo-circularprogressbar [value]="75">
 *   <ng-template kendoCircularProgressbarCenterTemplate>
 *     <span class="custom-center-text">75%</span>
 *   </ng-template>
 * </kendo-circularprogressbar>
 * ```
 */
export declare class CircularProgressbarCenterTemplateDirective {
    templateRef: TemplateRef<unknown>;
    constructor(templateRef: TemplateRef<unknown>);
    static ɵfac: i0.ɵɵFactoryDeclaration<CircularProgressbarCenterTemplateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CircularProgressbarCenterTemplateDirective, "[kendoCircularProgressbarCenterTemplate]", never, {}, {}, never, never, true, never>;
}
