/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { ProgressBarMessages } from './messages';
import * as i0 from "@angular/core";
/**
 * Custom component messages override default component messages
 * ([see example]({% slug rtl_layout %})).
 *
 * @example
 * ```html
 * <!-- Custom messages for ProgressBar -->
 * <kendo-progressbar [value]="value">
 *     <kendo-progressbar-messages
 *       progressBarLabel="Changed ProgressBar Label"
 *     ></kendo-progressbar-messages>
 * </kendo-progressbar>
 *
 * <!-- Custom messages for ChunkProgressBar -->
 * <kendo-chunkprogressbar [value]="value" [chunkCount]="chunks">
 *     <kendo-progressbar-messages
 *       progressBarLabel="Changed Chunk Label"
 *     ></kendo-progressbar-messages>
 * </kendo-chunkprogressbar>
 *
 * <!-- Custom messages for CircularProgressBar -->
 * <kendo-circularprogressbar [value]="value">
 *     <kendo-progressbar-messages
 *       progressBarLabel="Changed Circular Label"
 *     ></kendo-progressbar-messages>
 * </kendo-circularprogressbar>
 * ```
 */
export declare class ProgressBarCustomMessagesComponent extends ProgressBarMessages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProgressBarCustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ProgressBarCustomMessagesComponent, "kendo-progressbar-messages", never, {}, {}, never, never, true, never>;
}
