/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./chunk/chunk-progressbar.component";
import * as i2 from "./common/localization/custom-messages.component";
import * as i3 from "./circularprogressbar/center-template.directive";
import * as i4 from "./circularprogressbar/circular-progressbar.component";
import * as i5 from "./progressbar.component";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmodules'])
 * definition for the ProgressBar components.
 *
 * @example
 * ```typescript
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { ProgressBarModule } from '@progress/kendo-angular-progressbar';
 *
 * @NgModule({
 *   imports: [BrowserModule, ProgressBarModule],
 *   declarations: [AppComponent],
 *   bootstrap: [AppComponent]
 * })
 * export class AppModule { }
 * ```
 */
export declare class ProgressBarModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ProgressBarModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ProgressBarModule, never, [typeof i1.ChunkProgressBarComponent, typeof i2.ProgressBarCustomMessagesComponent, typeof i3.CircularProgressbarCenterTemplateDirective, typeof i4.CircularProgressBarComponent, typeof i2.ProgressBarCustomMessagesComponent, typeof i5.ProgressBarComponent, typeof i2.ProgressBarCustomMessagesComponent], [typeof i1.ChunkProgressBarComponent, typeof i2.ProgressBarCustomMessagesComponent, typeof i3.CircularProgressbarCenterTemplateDirective, typeof i4.CircularProgressBarComponent, typeof i2.ProgressBarCustomMessagesComponent, typeof i5.ProgressBarComponent, typeof i2.ProgressBarCustomMessagesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ProgressBarModule>;
}
